HANDLE_EDGE_IRQ(9)

NAME
handle_edge_irq - edge type IRQ handler

SYNOPSIS

void handle_edge_irq(unsigned int irq, struct irq_desc * desc);

ARGUMENTS

irq
    the interrupt number

desc
    the interrupt description structure for this irq

DESCRIPTION

Interrupt occures on the falling and/or rising edge of a hardware signal. The occurrence is latched into the irq controller hardware and must be acked in order to be reenabled. After the ack another interrupt can happen on the same source even before the first one is handled by the associated event handler. If this happens it might be necessary to disable (mask) the interrupt depending on the controller hardware. This requires to reenable the interrupt inside of the loop which handles the interrupts which have arrived while the handler was running. If all pending interrupts are handled, the loop is left.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT